<template>
  <lazy-theme-common-desktop-payment-deposit-manual-crypto-currency-deposit
    v-if="isDesktop"
    :manual-crypto-currency="props.manualCryptoCurrency"
    :profile="props.profile"
  />
  <lazy-theme-common-mobile-payment-deposit-manual-crypto-currency-deposit
    v-else
    :manual-crypto-currency="props.manualCryptoCurrency"
    :profile="props.profile"
  />
</template>
<script lang="ts" setup>
import { IGetManualCryptoCurrencyTransactionResponse } from "~~/models/getManualCryptoCurrencyTransactionResponse";
import { ProfileDto } from "~~/models/getProfileResponse";

const props = defineProps({
  manualCryptoCurrency: {
    type: Object as PropType<IGetManualCryptoCurrencyTransactionResponse>,
    required: true,
  },
  profile: {
    type: Object as PropType<ProfileDto>,
    required: true,
  },
});
const { isDesktop } = useDevice();
</script>
